Bug 1731197 - SELinux is preventing stroke from 'write' accesses on the fifo_file fifo_file.
Summary: SELinux is preventing stroke from 'write' accesses on the fifo_file fifo_file.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 30
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a69c252a57a477f572b8e27df7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 15:13 UTC by Jakub Pisarczyk
Modified: 2019-07-21 15:28 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.3-41.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-21 15:28:22 UTC


Attachments (Terms of Use)

Description Jakub Pisarczyk 2019-07-18 15:13:07 UTC
Description of problem:
trying to connect with gnome network manager with l2tp. It happen after removing libreswan and installing strongswan
SELinux is preventing stroke from 'write' accesses on the fifo_file fifo_file.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that stroke should be allowed write access on the fifo_file fifo_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'stroke' --raw | audit2allow -M my-stroke
# semodule -X 300 -i my-stroke.pp

Additional Information:
Source Context                system_u:system_r:ipsec_t:s0
Target Context                system_u:system_r:l2tpd_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        stroke
Source Path                   stroke
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-40.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.17-300.fc30.x86_64 #1 SMP Wed
                              Jul 10 15:20:27 UTC 2019 x86_64 x86_64
Alert Count                   3
First Seen                    2019-07-18 17:01:36 CEST
Last Seen                     2019-07-18 17:07:26 CEST
Local ID                      991cfd39-7d4f-4f63-a9e5-5475eb30b4aa

Raw Audit Messages
type=AVC msg=audit(1563462446.515:1387): avc:  denied  { write } for  pid=4436 comm="stroke" path="pipe:[438849]" dev="pipefs" ino=438849 scontext=system_u:system_r:ipsec_t:s0 tcontext=system_u:system_r:l2tpd_t:s0 tclass=fifo_file permissive=1


Hash: stroke,ipsec_t,l2tpd_t,fifo_file,write

Version-Release number of selected component:
selinux-policy-3.14.3-40.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.1.17-300.fc30.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-07-18 15:21:30 UTC
commit 284f16f52766e0877ffb804231134d45d31ed732 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jul 18 17:21:03 2019 +0200

    Allow ipsec_t domain to read/write  l2tpd pipe BZ(1731197)

Comment 2 Fedora Update System 2019-07-19 08:01:37 UTC
FEDORA-2019-b156bd756a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b156bd756a

Comment 3 Fedora Update System 2019-07-20 00:59:58 UTC
selinux-policy-3.14.3-41.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b156bd756a

Comment 4 Fedora Update System 2019-07-21 15:28:22 UTC
selinux-policy-3.14.3-41.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.